%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

%define texpkg      bytefield
%define texpkgdir   %{_texmf}/tex/latex/%{texpkg}
%define texpkgdoc   %{_texmf}/doc/latex/%{texpkg}

Name:           tetex-%{texpkg}
Version:        1.2
Release:        1
Summary:        Create illustrations for network protocol specifications

Group:          Applications/Publishing
License:        LaTeX Project Public License
URL:            http://www.ctan.org/tex-archive/help/Catalogue/entries/bytefield.html
# DANTE generates CTAN packages tarballs on-the-fly
# ftp://ftp.dante.de/tex-archive/macros/latex/contrib/bytefield.tar.gz
Source0:        bytefield-1.2-20050315.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  tetex-latex
Requires:       tetex-latex
Requires(post): /usr/bin/texhash
Requires(postun): /usr/bin/texhash

%description
The bytefield package helps the user create illustrations for network
protocol specifications and anything else that utilizes fields of
data.  These illustrations show how the bits and bytes are laid out in
a packet or in memory.


%prep
%setup -q -n %{texpkg}

%build
latex bytefield.ins

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT{%{texpkgdir},%{texpkgdoc}}
install -p -m 644 bytefield.sty $RPM_BUILD_ROOT%{texpkgdir}/
install -p -m 644 bytefield.pdf $RPM_BUILD_ROOT%{texpkgdoc}/

%clean
rm -rf $RPM_BUILD_ROOT


%post
texhash >/dev/null 2>&1 || :

%postun
texhash >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc README example.*
%{texpkgdir}/
%{_texmf}/doc/


%changelog
* Tue Mar 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.2-1
- First build.
